*{margin: 0; padding: 0; box-sizing: border-box;}

/*ANIMATION*/
@keyframes spin {
    0%, 15% {
		transform: rotate(0);
	}
	100% {
		transform: rotate(360deg);
	}
}

@-webkit-keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
            transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slide-in-left {
  0% {
    -webkit-transform: translateX(-1000px);
            transform: translateX(-1000px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}

@-webkit-keyframes color-change-5x {
  0% {
    background: #19dcea;
  }
  25% {
    background: #b22cff;
  }
  50% {
    background: #ea2222;
  }
  75% {
    background: #f5be10;
  }
  100% {
    background: #3bd80d;
  }
}
@keyframes color-change-5x {
  0% {
    background: #19dcea;
  }
  25% {
    background: #b22cff;
  }
  50% {
    background: #ea2222;
  }
  75% {
    background: #f5be10;
  }
  100% {
    background: #3bd80d;
  }
}

@-webkit-keyframes bg-pan-br {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 100%;
  }
}
@keyframes bg-pan-br {
  0% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 100% 100%;
  }
}
/*ANIMATION*/
/*PRELOADER*/
.preloader {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background: #e0e0e0;
  z-index: 1001;
}
.loaded_hiding .preloader {
  transition: 0.3s opacity;
  opacity: 0;
}
.loaded .preloader {
  display: none;
}
.loader {
    background: #000;
    background: radial-gradient(#222, #000);
    bottom: 0;
    left: 0;
    overflow: hidden;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 99999;
}

.loader-inner {
    bottom: 0;
    height: 60px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}

.loader-line-wrap {
    animation: 
		spin 2000ms cubic-bezier(.175, .885, .32, 1.275) infinite
	;
    box-sizing: border-box;
    height: 50px;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    transform-origin: 50% 100%;
    width: 100px;
}
.loader-line {
    border: 4px solid transparent;
    border-radius: 100%;
    box-sizing: border-box;
    height: 100px;
    left: 0;
    margin: 0 auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 100px;
}
.loader-line-wrap:nth-child(1) { animation-delay: -50ms; }
.loader-line-wrap:nth-child(2) { animation-delay: -100ms; }
.loader-line-wrap:nth-child(3) { animation-delay: -150ms; }
.loader-line-wrap:nth-child(4) { animation-delay: -200ms; }
.loader-line-wrap:nth-child(5) { animation-delay: -250ms; }

.loader-line-wrap:nth-child(1) .loader-line {
    border-color: hsl(0, 80%, 60%);
    height: 90px;
    width: 90px;
    top: 7px;
}
.loader-line-wrap:nth-child(2) .loader-line {
    border-color: hsl(60, 80%, 60%);
    height: 76px;
    width: 76px;
    top: 14px;
}
.loader-line-wrap:nth-child(3) .loader-line {
    border-color: hsl(120, 80%, 60%);
    height: 62px;
    width: 62px;
    top: 21px;
}
.loader-line-wrap:nth-child(4) .loader-line {
    border-color: hsl(180, 80%, 60%);
    height: 48px;
    width: 48px;
    top: 28px;
}
.loader-line-wrap:nth-child(5) .loader-line {
    border-color: hsl(240, 80%, 60%);
    height: 34px;
    width: 34px;
    top: 35px;
}
/*PRELOADER*/

body{
	position: relative;
	font-family: monospace;
}
header{
	position: absolute;
	top: 33vh;
	left: 33vw;
	z-index: 1;
	-webkit-animation: slide-in-left 6.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: slide-in-left 6.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
header h1{
	font-family: monospace;
	color: #fffff0;
	margin-bottom: 1vh;
	-webkit-animation: color-change-5x 64s linear infinite alternate both;
        animation: color-change-5x 64s linear infinite alternate both;
}
header h2{
	font-size: 2.4vw;
		-webkit-animation: color-change-5x 48s linear infinite alternate both;
	        animation: color-change-5x 48s linear infinite alternate both;
}
nav{
	position: absolute;
	top: 53vh;
	left: 53vw;
	z-index: 1;
	width: 18vw;
	height: 18vw;
	border-radius: 50%;
	padding: 1vw;
	text-align: center;
	color: #fffff0;
	-webkit-animation: color-change-5x 36s linear infinite alternate both;
	        animation: color-change-5x 36s linear infinite alternate both;
}
nav div{
	display: flex;
	justify-content: space-around;
}
nav h1{
	font-size: 2.7vw;
}
nav a{
	display: block;
	width: 6vw;
	height: 6vw;
	border-radius: 50%;
	font-size: 1.8vw;
	text-align: center;
	color: #fffff0;
	margin-top: 1.8vw;
	text-decoration: none;
	-webkit-animation: color-change-5x 64s linear infinite alternate both;
	        animation: color-change-5x 64s linear infinite alternate both;
}
nav a:first-of-type{
	padding-top: 1.8vw;
}
nav a:last-of-type{
	padding-top: 0.8vw;
}
nav a:hover{
	color: #222831;
}

#bckgrnd{
	height: 100vh;
	display: grid;
	grid-template-columns: repeat(11, 1fr);
	grid-template-rows: repeat(11, 1fr);
	grid-gap: 0.3vw;
	padding: 0.3vw;
}
#bckgrnd>div{
	background-size: cover;
	background-repeat: no-repeat;
	background-position: top center;
	filter: sepia(0.8);
	border-radius: 0.8vw;
	box-shadow: 0 0 1.8vw 1.6vw #000;
}
#bckgrnd>div:hover{
	-webkit-animation: bg-pan-br 8s both;
	        animation: bg-pan-br 8s both;
}
#bckgrnd>div:first-of-type{
	grid-area: 1/1/5/3;
	background-image: url("images/books/books1-min.jpg");
}
#bckgrnd>div:nth-of-type(2){
	grid-area: 7/5/10/6;
	background-image: url("images/books/books2-min.png")
}
#bckgrnd>div:nth-of-type(3){
	grid-area: 9/8/12/9;
	background-image: url("images/books/books3-min.png")
}
#bckgrnd>div:nth-of-type(4){
	grid-area: 1/9/4/12;
	background-image: url("images/books/books4-min.jpg")
}
#bckgrnd>div:nth-of-type(5){
	grid-area: 1/3/4/4;
	background-image: url("images/books/books5-min.png")
}
#bckgrnd>div:nth-of-type(6){
	grid-area: 4/4/7/7;
	background-image: url("images/books/books6-min.jpg")
}
#bckgrnd>div:nth-of-type(7){
	grid-area: 4/11/7/12;
	background-image: url("images/books/books7-min.png")
}
#bckgrnd>div:nth-of-type(8){
	grid-area: 8/1/9/2;
	background-image: url("images/books/books8-min.png")
}
#bckgrnd>div:nth-of-type(9){
	grid-area: 6/2/9/3;
	background-image: url("images/books/books9-min.png")
}
#bckgrnd>div:nth-of-type(10){
	grid-area: 1/8/4/9;
	background-image: url("images/books/books10-min.png")
}
#bckgrnd>div:nth-of-type(11){
	grid-area: 9/1/12/4;
	background-image: url("images/books/books11-min.jpg")
}
#bckgrnd>div:nth-of-type(12){
	grid-area: 4/10/7/11;
	background-image: url("images/books/books12-min.png")
}
#bckgrnd>div:nth-of-type(13){
	background-image: url("images/books/books13-min.png")
}
#bckgrnd>div:nth-of-type(14){
	grid-area: 5/1/8/2;
	background-image: url("images/books/books14-min.png")
}
#bckgrnd>div:nth-of-type(15){
	background-image: url("images/books/books15-min.jpg")
}
#bckgrnd>div:nth-of-type(16){
	grid-area: 5/9/8/10;
	background-image: url("images/books/books16-min.png")
}
#bckgrnd>div:nth-of-type(17){
	background-image: url("images/books/books17-min.jpg")
}
#bckgrnd>div:nth-of-type(18){
	grid-area: 4/3/7/4;
	background-image: url("images/books/books18-min.png")
}
#bckgrnd>div:nth-of-type(19){
	background-image: url("images/books/books19-min.jpg")
}
#bckgrnd>div:nth-of-type(20){
	grid-area: 7/3/9/5;
	background-image: url("images/books/books20-min.jpg")
}
#bckgrnd>div:nth-of-type(21){
	grid-area: 10/5/11/6;
	background-image: url("images/books/books21-min.png")
}
#bckgrnd>div:nth-of-type(22){
	grid-area: 2/7/5/8;
	background-image: url("images/books/books22-min.png")
}
#bckgrnd>div:nth-of-type(23){
	grid-area: 9/7/12/8;
	background-image: url("images/books/books23-min.png")
}
#bckgrnd>div:nth-of-type(24){
	grid-area: 5/7/8/8;
	background-image: url("images/books/books24-min.png")
}
#bckgrnd>div:nth-of-type(25){
	grid-area: 6/8/9/9;
	background-image: url("images/books/books25-min.png")
}
#bckgrnd>div:nth-of-type(26){
	background-image: url("images/books/books26-min.jpg")
}
#bckgrnd>div:nth-of-type(27){
	grid-area: 8/6/11/7;
	background-image: url("images/books/books27-min.png")
}
#bckgrnd>div:nth-of-type(28){
	grid-area: 9/4/12/5;
	background-image: url("images/books/books28-min.png")
}
#bckgrnd>div:nth-of-type(29){
	grid-area: 11/5/12/7;
	background-image: url("images/books/books29-min.png")
}
#bckgrnd>div:nth-of-type(30){
	grid-area: 1/6/4/7;
	background-image: url("images/books/books30-min.png")
}
#bckgrnd>div:nth-of-type(31){
	grid-area: 9/9/12/10;
	background-image: url("images/books/books31-min.png")
}
#bckgrnd>div:nth-of-type(32){
	background-image: url("images/books/books32-min.jpg")
}
#bckgrnd>div:nth-of-type(33){
	grid-area: 4/8/6/9;
	background-image: url("images/books/books33-min.png")
}
#bckgrnd>div:nth-of-type(34){
	grid-area: 1/4/4/5;
	background-image: url("images/books/books34-min.png")
}
#bckgrnd>div:nth-of-type(35){
	grid-area: 1/5/4/6;
	background-image: url("images/books/books35-min.png")
}
#bckgrnd>div:last-of-type{
	grid-area: 7/10/12/12;
	background-image: url("images/books/books36-min.jpg")
}